@font-face {
    font-family: montserrat;
    src: url("../fonts/Montserrat-VariableFont_wght.ttf");
}

@font-face {
    font-family: yrsa;
    src: url("../fonts/Yrsa-VariableFont_wght.ttf");
}

@font-face {
    font-family: cresci;
    src: url("../fonts/Cresci-Regular.ttf");
}

:root {
    --primary:      #e892ae;
    --secondary:    #c4577b;
    --tertiary:     #943152;
    --light:        #d4d4d4;
    --white:        #f8ebf6;
    --black:        #0c0c0c;
    --gray:         #afafaf;
    --dark_gray:    #515c66;
}

body {
    font-family: montserrat, Arial, Helvetica, sans-serif;
    background-image: url('../media/Marilyn-background-8.jpg');
    background-size: cover;
    background-attachment: fixed;
    background-position: center;
    color: var(--white);
    box-sizing: border-box;
    padding: 10vh 0 5vh 0;
    margin: 0;
}

h1, h2, h3 {
    font-family: cresci, 'Times New Roman', Times, serif;
    color: var(--primary);
    text-align: center;
}

h1 {
    font-size: 2.8em;
}

h2, h3 {
    font-size: 2rem;
}

button {
    padding: .5rem;
    background-color: var(--primary);
    border: none;
    cursor: pointer;
    transition: .2s;
    font-size: 1.2rem;
    border-radius: .5rem;
}

button:hover {
    background-color: var(--secondary);
    color: var(--white);
}

button:active {
    background-color: var(--tertiary);
    font-size: 1.15rem;
}

section {
    box-sizing: border-box;
    padding: 0 5vw;
    width: 100%;
}

a {
    color: var(--primary);
}

@media screen and (max-width: 900px) {
    h1 {
        font-size: 1.7em;
    }
    
    h2, h3 {
        font-size: 1.3rem;
    }
}